Index: synergy-1.3.1/lib/arch/CArchDaemonUnix.cpp
===================================================================
--- synergy-1.3.1.orig/lib/arch/CArchDaemonUnix.cpp
+++ synergy-1.3.1/lib/arch/CArchDaemonUnix.cpp
@@ -20,6 +20,8 @@
 #include <fcntl.h>
 #include <errno.h>
 
+#include <cstdlib>
+
 //
 // CArchDaemonUnix
 //
Index: synergy-1.3.1/lib/arch/CMultibyte.cpp
===================================================================
--- synergy-1.3.1.orig/lib/arch/CMultibyte.cpp
+++ synergy-1.3.1/lib/arch/CMultibyte.cpp
@@ -19,14 +19,12 @@
 #include "CArch.h"
 #include <limits.h>
 #include <string.h>
+#include <cstdlib>
 #if HAVE_LOCALE_H
 #	include <locale.h>
 #endif
 #if HAVE_WCHAR_H || defined(_MSC_VER)
 #	include <wchar.h>
-#elif __APPLE__
-	// wtf?  Darwin puts mbtowc() et al. in stdlib
-#	include <stdlib.h>
 #else
 	// platform apparently has no wchar_t support.  provide dummy
 	// implementations.  hopefully at least the C++ compiler has
Index: synergy-1.3.1/lib/base/CStringUtil.cpp
===================================================================
--- synergy-1.3.1.orig/lib/base/CStringUtil.cpp
+++ synergy-1.3.1/lib/base/CStringUtil.cpp
@@ -19,6 +19,7 @@
 #include <cctype>
 #include <cstdio>
 #include <cstdlib>
+#include <cstring>
 #include <algorithm>
 
 //
Index: synergy-1.3.1/lib/client/CClient.cpp
===================================================================
--- synergy-1.3.1.orig/lib/client/CClient.cpp
+++ synergy-1.3.1/lib/client/CClient.cpp
@@ -27,6 +27,9 @@
 #include "IEventQueue.h"
 #include "TMethodEventJob.h"
 
+#include <cstring>
+#include <cstdlib>
+
 //
 // CClient
 //
Index: synergy-1.3.1/lib/client/CServerProxy.cpp
===================================================================
--- synergy-1.3.1.orig/lib/client/CServerProxy.cpp
+++ synergy-1.3.1/lib/client/CServerProxy.cpp
@@ -24,6 +24,7 @@
 #include "TMethodEventJob.h"
 #include "XBase.h"
 #include <memory>
+#include <cstring>
 
 //
 // CServerProxy
Index: synergy-1.3.1/lib/net/CTCPSocket.cpp
===================================================================
--- synergy-1.3.1.orig/lib/net/CTCPSocket.cpp
+++ synergy-1.3.1/lib/net/CTCPSocket.cpp
@@ -24,6 +24,7 @@
 #include "CArch.h"
 #include "XArch.h"
 #include <string.h>
+#include <cstdlib>
 
 //
 // CTCPSocket
Index: synergy-1.3.1/lib/platform/CXWindowsScreen.cpp
===================================================================
--- synergy-1.3.1.orig/lib/platform/CXWindowsScreen.cpp
+++ synergy-1.3.1/lib/platform/CXWindowsScreen.cpp
@@ -27,6 +27,7 @@
 #include "IEventQueue.h"
 #include "TMethodEventJob.h"
 #include <cstring>
+#include <cstdlib>
 #if X_DISPLAY_MISSING
 #	error X11 is required to build synergy
 #else
Index: synergy-1.3.1/lib/server/CClientProxy1_3.cpp
===================================================================
--- synergy-1.3.1.orig/lib/server/CClientProxy1_3.cpp
+++ synergy-1.3.1/lib/server/CClientProxy1_3.cpp
@@ -18,6 +18,8 @@
 #include "IEventQueue.h"
 #include "TMethodEventJob.h"
 
+#include <cstring>
+
 //
 // CClientProxy1_3
 //
Index: synergy-1.3.1/lib/server/CServer.cpp
===================================================================
--- synergy-1.3.1.orig/lib/server/CServer.cpp
+++ synergy-1.3.1/lib/server/CServer.cpp
@@ -28,7 +28,8 @@
 #include "CLog.h"
 #include "TMethodEventJob.h"
 #include "CArch.h"
-#include <string.h>
+#include <cstring>
+#include <cstdlib>
 
 //
 // CServer
Index: synergy-1.3.1/lib/synergy/CPacketStreamFilter.cpp
===================================================================
--- synergy-1.3.1.orig/lib/synergy/CPacketStreamFilter.cpp
+++ synergy-1.3.1/lib/synergy/CPacketStreamFilter.cpp
@@ -16,6 +16,7 @@
 #include "IEventQueue.h"
 #include "CLock.h"
 #include "TMethodEventJob.h"
+#include <cstring>
 
 //
 // CPacketStreamFilter
Index: synergy-1.3.1/lib/synergy/IKeyState.cpp
===================================================================
--- synergy-1.3.1.orig/lib/synergy/IKeyState.cpp
+++ synergy-1.3.1/lib/synergy/IKeyState.cpp
@@ -13,7 +13,8 @@
  */
 
 #include "IKeyState.h"
-#include <string.h>
+#include <cstring>
+#include <cstdlib>
 
 //
 // IKeyState
Index: synergy-1.3.1/lib/synergy/IPrimaryScreen.cpp
===================================================================
--- synergy-1.3.1.orig/lib/synergy/IPrimaryScreen.cpp
+++ synergy-1.3.1/lib/synergy/IPrimaryScreen.cpp
@@ -14,6 +14,8 @@
 
 #include "IPrimaryScreen.h"
 
+#include <cstdlib>
+
 //
 // IPrimaryScreen
 //
